OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.SGIS.TextureColorMask

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGISTextureColorMask :: MonadIO m => m Bool
- gl_SGIS_texture_color_mask :: Bool
- pattern GL_TEXTURE_COLOR_WRITEMASK_SGIS :: GLenum
- glTextureColorMaskSGIS :: MonadIO m => GLboolean -> GLboolean -> GLboolean -> GLboolean -> m ()

# Extension Support

glGetSGISTextureColorMask :: MonadIO m => m Bool Source #

Is the SGIS_texture_color_mask extension supported?

gl_SGIS_texture_color_mask :: Bool Source #

Is the SGIS_texture_color_mask extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGISTextureColorMask` in those cases instead.

# Enums

pattern GL_TEXTURE_COLOR_WRITEMASK_SGIS :: GLenum Source #

# Functions

glTextureColorMaskSGIS Source #

Arguments

:: MonadIO m |
=> GLboolean | `red` of type Boolean.
-> GLboolean | `green` of type Boolean.
-> GLboolean | `blue` of type Boolean.
-> GLboolean | `alpha` of type Boolean.
-> m () |